Subject: [I18nrp] charter -01

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 13 Aug 2018 15:47:42 -0600

The proposed charter I sent on August 9 could be considered version -00.
Here is -01 based on feedback received so far...

###

Internationalization Directorate (i18ndir) Charter

The Internationalization Directorate is a specialized advisory group
that assists the Area Directors of the Applications and Real-Time Area
with regard to internationalization, in accordance with RFC 2418.

In support of a global Internet, the IETF has long worked on
internationalization of the Internet through technologies such as text
encodings (RFC 20, RFC 3629, RFC 5198), character sets (RFC 2277),
language tags (RFC 5646), URIs (RFC 3986), domain names (RFC 5890),
email addresses (RFC 6530) and headers (RFC 6532), HTTP headers (RFC
7231, RFC 8187), and usernames and passwords (RFC 8265). Because the
appropriate use of these technologies in any particular Internet
protocol is not always clear-cut, specifications developed within the
IETF often need to be reviewed by individuals with competence in
internationalization. Another sort of review is required for adjustments
to the underlying technologies themselves, for instance handling issues
with internationalized domain names that arise because of updates to the
Unicode standard.

The directorate consists of experienced members of the IETF and the
broader technical and language communities who have competence in
internationalization. The directorate has the following responsibilities:

* Reviews Internet-Drafts and provides guidance to specification authors
and working groups that re-use or ought to re-use IETF
internationalization technologies or that otherwise touch on
internationalization issues.

* Works together on solutions to narrowly scoped problems that arise
with IETF internationalization technologies (while deferring larger
initiatives to separate working groups, if needed).

* Advises Area Directors and other IETF stakeholders (including other
directorates and review teams, such as the Security Directorate and ART
Area Review Team) with regard to internationalization.

* Maintains an effective team by organizing its work processes,
documenting recommended solutions to common internationalization issues,
recruiting new team members, and training team members and IETF
participants.

However, liaison activities with other standards development
organizations (such as the Unicode Consortium) are not directly in scope
for the directorate. In short, the internationalization directorate acts
as a consultative group of experts offering expertise and guidelines
with respect to internationalization within the IETF.

The directorate can be contacted by sending e-mail to [email-masked].
The list archives are available at
https://www.ietf.org/mail-archive/i18ndir/secdir/current/maillist.html.

###

---

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 14 Aug 2018 04:58:18 +0000

Hi Peter,

I like this evolution. A few comments.

The liaison text is a little curious. It says that liaising isn't "directly" in scope. Is that because the (almost certainly necessary) liaising with folks like the UTC, W3C (especially I18N WG :-)), ECMA, etc. will formally exist elsewhere? Maybe the charter should more strongly acknowledge the need for coordination while keeping the existing formal mechanisms intact. I'd suggest something like:

--
While formal liaison mechanisms with other standards organizations (such as the Unicode Consortium) are not part of the directorate's charter, there is expected to be occasional coordination with the wider internationalization community that includes these other standard's bodies.
--

I do like how you handled the "Reviews internet drafts..." text. I do think the more WGs and ADs get the need for early and systematic review, the better the results will be. At W3C we've struggled with getting the right mechanism for early and consistent visibility into specs: I'm never sure if that dragon is well-slain or not. I'd be concerned with the "finding out in a timely manner" problem. I like that your text doesn't seek to require signoff or impose other intrinsically onerous mechanisms right in the charter, but experience suggests that best intentions are insufficient.

Regards,

Addison

Addison Phillips
Principal SDE, I18N Architect (Amazon)
Chair (W3C I18N WG)

Internationalization is not a feature.
It is an architecture.

> -----Original Message-----
> From: i18nRP [mailto:[email-masked]] On Behalf Of Peter Saint-Andre
> Sent: Tuesday, August 14, 2018 5:48 AM
> To: i18nrp <[email-masked]>
> Subject: [I18nrp] charter -01
> 
> The Internationalization Directorate is a specialized advisory group that assists
> the Area Directors of the Applications and Real-Time Area with regard to
> internationalization, in accordance with RFC 2418.
> 
> In support of a global Internet, the IETF has long worked on internationalization
> of the Internet through technologies such as text encodings (RFC 20, RFC 3629,
> RFC 5198), character sets (RFC 2277), language tags (RFC 5646), URIs (RFC 3986),
> domain names (RFC 5890), email addresses (RFC 6530) and headers (RFC 6532),
> HTTP headers (RFC 7231, RFC 8187), and usernames and passwords (RFC 8265).
> Because the appropriate use of these technologies in any particular Internet
> protocol is not always clear-cut, specifications developed within the IETF often
> need to be reviewed by individuals with competence in internationalization.
> Another sort of review is required for adjustments to the underlying
> technologies themselves, for instance handling issues with internationalized
> domain names that arise because of updates to the Unicode standard.
> 
> The directorate consists of experienced members of the IETF and the broader
> technical and language communities who have competence in
> * Reviews Internet-Drafts and provides guidance to specification authors and
> working groups that re-use or ought to re-use IETF internationalization
> technologies or that otherwise touch on internationalization issues.
> 
> * Works together on solutions to narrowly scoped problems that arise with IETF
> internationalization technologies (while deferring larger initiatives to separate
> working groups, if needed).
> 
> directorates and review teams, such as the Security Directorate and ART Area
> Review Team) with regard to internationalization.
> 
> * Maintains an effective team by organizing its work processes, documenting
> recommended solutions to common internationalization issues, recruiting new
> team members, and training team members and IETF participants.
> 
> However, liaison activities with other standards development organizations
> (such as the Unicode Consortium) are not directly in scope for the directorate. In
> short, the internationalization directorate acts as a consultative group of
> experts offering expertise and guidelines with respect to internationalization
> within the IETF.
>

---

From: "Patrik Fältström" <[email-masked]>
Date: Tue, 14 Aug 2018 08:44:25 +0200

On 13 Aug 2018, at 23:47, Peter Saint-Andre wrote:

> The Internationalization Directorate is a specialized advisory group that assists the Area Directors of the Applications and Real-Time Area with regard to internationalization, in accordance with RFC 2418.

I have a question based on my shallow understanding on todays(!) IETF processes. As some people here know I have been much more active, but went into passive mode many moons ago.

Liaisons and appointed experts do have specific relationships with IAB, and I see in this text words about recommendations and guidance that is I think good Area Directors communicate. But I see nothing about IAB here.

Maybe this is correct, that this is a pure IESG related group, but it might also be that the words "Directorate" and "advisory group" implicitly say there is some relationship with IAB hidden here somewhere.

So please clarify, am I understanding this charter correct that this is an IESG activity and IESG activity only?

   Patrik

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 15 Aug 2018 11:01:32 -0500

FWIW,

On Tue, Aug 14, 2018 at 12:00 AM Phillips, Addison <[email-masked]>
wrote:

> The liaison text is a little curious. It says that liaising isn't
> "directly" in scope. Is that because the (almost certainly necessary)
> liaising with folks like the UTC, W3C (especially I18N WG :-)), ECMA, etc.
> will formally exist elsewhere? Maybe the charter should more strongly
> acknowledge the need for coordination while keeping the existing formal
> mechanisms intact. I'd suggest something like:
>
> --
> While formal liaison mechanisms with other standards organizations (such
> as the Unicode Consortium) are not part of the directorate's charter, there
> is expected to be occasional coordination with the wider
> internationalization community that includes these other standard's bodies.
>

This is only my opinion, but I was on the IAB for three years and was the
first IAB prime for the IAB's liaison oversight program (
https://www.iab.org/activities/programs/iab-liaison-coordination-program/),
when we set it up in about 2011, so I hope it's not super-wrong.

We/the IETF relies a lot on informal interaction with other SDOs. There are
other SDOs that the IAB maintains formal liaison relationships with, listed
at https://www.ietf.org/about/liaisons/, but those tend to be SDOs that we
have a lot of interaction with, and/or who require a formal liaison
relationship to get anything done.

Basically, if an individual IETF participant can send email to another SDO,
and get a useful response, that's the preferred path. The directorate
itself can figure out when that's necessary, and whether the responses
coming back are useful, with no other process needed.

If that doesn't work in your situation, that's a good conversation to have
with the IAB. I'd start with Mark Nottingham, who is the IAB liaison
oversight program prime now, but just sending an e-mail to the IAB and
asking them for help/guidance should work just fine.

It's also useful to note that some SDOs and external bodies have liaisons
to the IETF, with no corresponding IETF liaison in the other direction, so
IETF participants can be as informal as is helpful, even if the responses
coming back have to be approved at plenary meetings before they come back.

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 17 Aug 2018 11:52:19 -0600

On 8/15/18 10:01 AM, Spencer Dawkins at IETF wrote:
> FWIW, 
> 
> On Tue, Aug 14, 2018 at 12:00 AM Phillips, Addison <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     Hi Peter,
> 
>     "directly" in scope. Is that because the (almost certainly
>     necessary) liaising with folks like the UTC, W3C (especially I18N WG
>     :-)), ECMA, etc. will formally exist elsewhere? Maybe the charter
>     should more strongly acknowledge the need for coordination while
>     keeping the existing formal mechanisms intact. I'd suggest something
>     like:
> 
>     --
>     While formal liaison mechanisms with other standards organizations
>     (such as the Unicode Consortium) are not part of the directorate's
>     charter, there is expected to be occasional coordination with the
>     wider internationalization community that includes these other
>     standard's bodies.
> 
> 
> This is only my opinion, but I was on the IAB for three years and was
> the first IAB prime for the IAB's liaison oversight program
> (https://www.iab.org/activities/programs/iab-liaison-coordination-program/),
> We/the IETF relies a lot on informal interaction with other SDOs. There
> are other SDOs that the IAB maintains formal liaison relationships with,
> listed at https://www.ietf.org/about/liaisons/, but those tend to be
> SDOs that we have a lot of interaction with, and/or who require a formal
> liaison relationship to get anything done. 
> 
> Basically, if an individual IETF participant can send email to another
> SDO, and get a useful response, that's the preferred path. The
> directorate itself can figure out when that's necessary, and whether the
> responses coming back are useful, with no other process needed. 
> 
> If that doesn't work in your situation, that's a good conversation to
> have with the IAB. I'd start with Mark Nottingham, who is the IAB
> liaison oversight program prime now, but just sending an e-mail to the
> IAB and asking them for help/guidance should work just fine. 
> 
> It's also useful to note that some SDOs and external bodies have
> liaisons to the IETF, with no corresponding IETF liaison in the other
> direction, so IETF participants can be as informal as is helpful, even
> if the responses coming back have to be approved at plenary meetings
> before they come back. 

What Spencer says rings true to me. IMHO it's not the directorate's job
to function as a liaison - in the IETF we have individual liaisons to
other SDOs (e.g., Mark Nottingham is the IETF's liaison to the W3C) who
are appointed or approved by the IAB. Certainly the directorate or
members thereof might provide advice and guidance to the IETF liaison or
to the IAB liaison shepherd with respect to internationalization, but
that doesn't meant the liaison function is directly in scope for the
directorate. Or so it seems to me.

Peter